function [result ok p] = invpd(A)
% Invert a positive definite matrix.  

%
% Greg Duffee
% October 2005
%

[thismat p] = chol(A);
if (p == 0)
    ok = 1; 
    cholmat = transpose(thismat);
    inv_chol = inv(cholmat); 
    result = transpose(inv_chol) * inv_chol;
else
    ok = 0;
    result = []; 
end

end

