function output = makelags(A, numlags)
% MAKECURRENT 
% A is a matrix where t indexes rows.   
% MAKECURRENT produces the matrix where row t is 
% [ A(t,:) A(t-1,:) ... A(t-(numlags-1),:) ]
% The first row of output corresponds to t=numlags
%
% Greg Duffee
% April 2005
%

output = [];
for i = 0:(numlags-1)
   output = [output A((numlags-i):(end-i),:)];
end

end
